Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ServiceDetail::_tao_seq_Octet_var Class Reference

`#include <Services.h>`

Collaboration diagram for CORBA_ServiceDetail::_tao_seq_Octet_var:

[legend]
List of all members.

## Public Methods
| _tao_seq_Octet_var (void)
| _tao_seq_Octet_var (_tao_seq_Octet *)
| _tao_seq_Octet_var (const _tao_seq_Octet_var &)
| ~_tao_seq_Octet_var (void)
_tao_seq_Octet_var & | operator= (_tao_seq_Octet *)
_tao_seq_Octet_var & | operator= (const _tao_seq_Octet_var &)
_tao_seq_Octet * | operator-> (void)
const _tao_seq_Octet * | operator-> (void) const
| operator const _tao_seq_Octet & () const
| operator _tao_seq_Octet & ()
| operator _tao_seq_Octet & () const
CORBA::Octet & | operator[] (CORBA::ULong slot)
const _tao_seq_Octet & | in (void) const
_tao_seq_Octet & | inout (void)
_tao_seq_Octet *& | out (void)
_tao_seq_Octet * | _retn (void)
_tao_seq_Octet * | ptr (void) const
## Private Attributes
_tao_seq_Octet * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet_var::_tao_seq_Octet_var | ( | void |  | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet_var::_tao_seq_Octet_var | ( | CORBA_ServiceDetail::_tao_seq_Octet * | p | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet_var::_tao_seq_Octet_var | ( | const _tao_seq_Octet_var & | p | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet_var::~_tao_seq_Octet_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet * CORBA_ServiceDetail::_tao_seq_Octet_var::_retn | ( | void |  | ) |

ACE_INLINE const CORBA_ServiceDetail::_tao_seq_Octet & CORBA_ServiceDetail::_tao_seq_Octet_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet & CORBA_ServiceDetail::_tao_seq_Octet_var::inout | ( | void |  | ) |

CORBA_ServiceDetail::_tao_seq_Octet_var::operator _tao_seq_Octet & | ( |  | ) | const

CORBA_ServiceDetail::_tao_seq_Octet_var::operator _tao_seq_Octet & | ( |  | ) |

CORBA_ServiceDetail::_tao_seq_Octet_var::operator const _tao_seq_Octet & | ( |  | ) | const

ACE_INLINE const CORBA_ServiceDetail::_tao_seq_Octet * CORBA_ServiceDetail::_tao_seq_Octet_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet * CORBA_ServiceDetail::_tao_seq_Octet_var::operator-> | ( | void |  | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet_var & CORBA_ServiceDetail::_tao_seq_Octet_var::operator= | ( | const _tao_seq_Octet_var & | p | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet_var & CORBA_ServiceDetail::_tao_seq_Octet_var::operator= | ( | CORBA_ServiceDetail::_tao_seq_Octet * | p | ) |

ACE_INLINE CORBA::Octet & CORBA_ServiceDetail::_tao_seq_Octet_var::operator[] | ( | CORBA::ULong | slot | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet *& CORBA_ServiceDetail::_tao_seq_Octet_var::out | ( | void |  | ) |

ACE_INLINE CORBA_ServiceDetail::_tao_seq_Octet * CORBA_ServiceDetail::_tao_seq_Octet_var::ptr | ( | void |  | ) | const

## Member Data Documentation

_tao_seq_Octet* CORBA_ServiceDetail::_tao_seq_Octet_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Services.h
- Services.i